Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 46073 - Windows Classic Theme plain button error
: Windows Classic Theme plain button error
: classic
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: x86 Windows 95
: P3 trivial (vote)
: ---
Assigned To: Joe Hewitt (gone)
: Patty Mac
Depends on:
  Show dependency treegraph
Reported: 2000-07-21 04:32 PDT by
Modified: 2008-07-31 01:19 PDT (History)
0 users
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description 2000-07-21 04:32:32 PDT
One of the styles that should be applied to plain buttons in
classic/global/style/button.css doesn't have the .plain class modifier and gets
applied to all active hovered buttons.
Line 113:
  button:hover:active > .button-internal-box,
should read:
  button.plain:hover:active > .button-internal-box,
as it does in modern/global/style/button.css
Additionally, line 120:
  button-plain > .button-internal-box > .button-icon,
should read:
  button.plain > .button-internal-box > .button-icon,
This particular error also appears to apply to the modern skin.
Comment 1 hangas 2000-07-21 23:12:22 PDT
Sending to Brendan as Classic Skin Lead.
Comment 2 Asa Dotzler [:asa] 2000-08-15 17:43:16 PDT
setting bug status to New
Comment 3 leger 2000-08-17 12:38:00 PDT
Adding classic keyword
Comment 4 leger 2000-08-25 07:59:29 PDT
Reassigning from bdonohoe to hangas
Comment 5 Matthew Paul Thomas 2000-08-28 06:53:11 PDT
--> Themes
Comment 6 hangas 2000-08-30 00:10:07 PDT
Marking nsbeta3+ sending to Joe
Comment 7 hangas 2000-08-30 00:10:57 PDT
Joe please check for this problem in Mac Classic and Modern skins.
Comment 8 Joe Hewitt (gone) 2000-08-30 00:37:28 PDT
this was already fixed in modern2 and blue, and is now fixed in mac/win/unix 
classic.  I'll check it in as soon as my cvs account is ready.
Comment 9 Joe Hewitt (gone) 2000-09-07 01:05:18 PDT
fixed as of a few days ago
Comment 10 Patty Mac 2000-09-08 12:30:48 PDT
Would you show me how to reproduce this bug? It seems this bug I need
to look into the code.
Comment 11 2000-09-11 03:02:07 PDT
Looks OK now.

Note You need to log in before you can comment on or make changes to this bug.